Warning: Can't synchronize with repository "(default)" (Unsupported version control system "svn": No module named svn). Look in the Trac log for more information.

Ticket #140 (closed defect: invalid)

Opened 14 years ago

Last modified 12 years ago

Comment on download/install.html

Reported by: andrei Owned by: anonymous
Priority: normal Milestone:
Component: TurboGears Version:
Severity: normal Keywords:
Cc:

Description

Hello.

I think that turbogears is kind of dificult to install.

Why all that ez_setup and eggs? Couldn't it be possible to get all the related modules (cherrypy, kid, celementtree) together with turbogears in a tar and just do a python setup.py install?

Thank you!

Change History

comment:1 Changed 14 years ago by slate

If you had a tarball you should do

  • wget tarball
  • tar -xzf <the tarball name>
  • cd <into tarball>
  • sudo python setup.py install

Now you should

The latter is two lines shorter, if you have internet connection on the computer, that you want to install tg on.

comment:2 Changed 13 years ago by SuperJared <jared.kuolt@…>

  • Status changed from new to closed
  • Resolution set to invalid

The install process is easy.

Note: See TracTickets for help on using tickets.